// http://akelpad.sourceforge.net/forum/viewtopic.php?p=7982#7982
// Description(1049): Преобразование столбца наименований айтемов в строки описаний констант
// Version: 1.5 (2012.10.30)
// Author: VladSh

var pBreak = "\r";
var strContent = AkelPad.GetSelText() || AkelPad.GetClipboardText();

if (strContent) {
	// идентификатор константы; по умолчанию для VB или LS
	var constLang = "Const";
	var smbEndRow = "";
	// если у файла установлена синтаксическая тема java или js, изменяем идентификатор на Java
	if (AkelPad.Include("CoderFunctions.js")) {
		if (GetSyntaxAliasExtension().indexOf("j") != -1) {
			constLang = "final String";
			smbEndRow = ";";
		}
	}
	
	var arrContent = strContent.split(pBreak);
	
	for (var nLine = 0; nLine < arrContent.length; nLine++) {
		sLine = arrContent[nLine].replace(/([ \t]+$)/, "");		//Убираем пустые символы в конце
		if (sLine) {
			arrContent[nLine] = constLang + ' IN_' + sLine.toUpperCase() + ' = "' + sLine + '"' + smbEndRow;
		}
	}
	strContent = arrContent.join(pBreak);
	
	AkelPad.ReplaceSel(strContent);
	AkelPad.SetClipboardText(strContent);
}